use serde::Deserialize;
use std::collections::HashMap;

use crate::model::mqtt::MqttConfig;

#[derive(Debug, Deserialize)]
pub struct Config {
    pub host_id: Box<str>,
    pub mqtt: MqttConfig,
    #[serde(default)]
    pub handlers: HashMap<Box<str>, toml::Table>,
}
